Project

General

Profile

Bug(バグ) #795

3.2.2、3.4.1のインストールに問題発生

Added by Yuki Yamashita about 10 years ago. Updated over 2 years ago.

Status:
Won't fix(対応せず)
Priority:
Normal(通常)
Assignee:
-
Target version:
Start date:
2010-03-04
Due date:
% Done:

0%

3.6 で発生するか:
Yes
3.8 で発生するか:
Unknown (未調査)

Description

現象

http://sns.openpne.jp/?m=pc&a=page_c_topic_detail&target_c_commu_topic_id=5654

■構成
OS:FreeBSD
サーバ:Apache
■バージョン
PHP:5.2.11
MySQL:5.1.41
OpenPNE:3.4.1、3.2.2両方で同じ症状

上記構成でOpenPNE3.4.1をインストールしたところ、
途中でCPU100%になりインストールが固まります。※10分放置しても進まない

①zip解凍
②cd *OpenPNE3*/config
③cp ProjectConfiguration.class.php.sample ProjectConfiguration.class.php
④cp OpenPNE.yml.sample OpenPNE.yml
⑤OpenPNE.yml内のbase_url、mail_domainを修正
⑥./symfony openpne:install
入力開始→mysql、データベース名、パス、localhost、リターン、データベース名、リターン、YES

上記を実行するとすると、下記部分でとまってCPU100%になります。
ネットで調べても有益な情報がありませんでした。
原因を教えていただけないでしょうか。

>> plugin installing plugin "opAuthMailAddressPlugin" 
PHP Warning: realpath(): SAFE MODE Restriction in effect. The script whose uid is 6103 is not allowed to access /tmp owned by uid 0 in /home/xxxxxx/public_html/sns3.4.1/lib/vendor/PEAR/System.php on line 459
PHP Warning: realpath(): SAFE MODE Restriction in effect. The script whose uid is 6103 is not allowed to access /tmp owned by uid 0 in /home/xxxxxx/public_html/sns3.4.1/lib/vendor/PEAR/System.php on line 459
PHP Warning: realpath(): SAFE MODE Restriction in effect. The script whose uid is 6103 is not allowed to access /tmp owned by uid 0 in /home/xxxxxx/public_html/sns3.4.1/lib/vendor/PEAR/System.php on line 459
>> sfPearFrontendPlugin Attempting to discover channel "plugins.openpne.jp"...
PHP Warning: realpath(): SAFE MODE Restriction in effect. The script whose uid is 6103 is not allowed to access /tmp owned by uid 0 in /home/xxxxxx/public_html/sns3.4.1/lib/vendor/PEAR/System.php on line 459

原因

修正内容


Related issues

Related to OpenPNE 3 - Bug(バグ) #1331: PHPのsafe modeを使用している環境でmail_envelope_fromを設定するとメールが送信できない Fixed(完了) 2010-07-13

History

#1 Updated by Shogo Kawahara about 10 years ago

  • Target version deleted (OpenPNE 3.2.2)

#2 Updated by Kousuke Ebihara almost 10 years ago

  • 3.6 で発生するか set to Yes

#3 Updated by Kousuke Ebihara over 9 years ago

  • Target version set to OpenPNE 3.6beta6

なるべくセーフモードでも最低限動作するようにはしたいところです

#4 Updated by Kousuke Ebihara over 9 years ago

  • Target version changed from OpenPNE 3.6beta6 to OpenPNE 3.7.0

#5 Updated by Kousuke Ebihara almost 9 years ago

  • Status changed from New(新規) to Accepted(着手)
  • Assignee set to Kousuke Ebihara

#6 Updated by Kousuke Ebihara almost 9 years ago

  • Status changed from Accepted(着手) to New(新規)
  • Assignee deleted (Kousuke Ebihara)

ごめんなさい、他のチケットと間違って着手してしまったためいったん手放します。

#7 Updated by Kousuke Ebihara almost 9 years ago

  • Status changed from New(新規) to Accepted(着手)
  • Assignee set to Kousuke Ebihara

#8 Updated by Kousuke Ebihara almost 9 years ago

  • Status changed from Accepted(着手) to New(新規)
  • Target version deleted (OpenPNE 3.7.0)

なんどもすいません、3.6 までに対応するべきチケットを優先するため、一旦手放します。

#9 Updated by Kousuke Ebihara almost 9 years ago

  • Assignee deleted (Kousuke Ebihara)
  • Target version set to OpenPNE 3.7.0

#10 Updated by Kousuke Ebihara over 8 years ago

セーフモードに設定し、 /tmp に書き込み権限を与えない状態で再現するかどうか確認をおこないましょう。

#11 Updated by Shouta Kashiwagi about 8 years ago

  • Target version changed from OpenPNE 3.7.0 to 252

#12 Updated by Shouta Kashiwagi about 8 years ago

  • Target version changed from 252 to OpenPNE 3.8.x

#13 Updated by Chiharu Nakajima over 2 years ago

  • Status changed from New(新規) to Won't fix(対応せず)

サポートが終了しているバージョンであるため、対応せず

Also available in: Atom PDF